
From: Adrian Bunk <bunk@stusta.de>

The patch below makes a needessly global struct in the efs code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/efs/super.c         |   20 ++++++++++++++++++++
 25-akpm/include/linux/efs_vh.h |   17 -----------------
 2 files changed, 20 insertions(+), 17 deletions(-)

diff -puN fs/efs/super.c~efs-make-a-struct-static-fwd fs/efs/super.c
--- 25/fs/efs/super.c~efs-make-a-struct-static-fwd	2005-01-10 17:29:38.736998000 -0800
+++ 25-akpm/fs/efs/super.c	2005-01-10 17:29:38.740997392 -0800
@@ -32,6 +32,26 @@ static struct file_system_type efs_fs_ty
 	.fs_flags	= FS_REQUIRES_DEV,
 };
 
+static struct pt_types sgi_pt_types[] = {
+	{0x00,		"SGI vh"},
+	{0x01,		"SGI trkrepl"},
+	{0x02,		"SGI secrepl"},
+	{0x03,		"SGI raw"},
+	{0x04,		"SGI bsd"},
+	{SGI_SYSV,	"SGI sysv"},
+	{0x06,		"SGI vol"},
+	{SGI_EFS,	"SGI efs"},
+	{0x08,		"SGI lv"},
+	{0x09,		"SGI rlv"},
+	{0x0A,		"SGI xfs"},
+	{0x0B,		"SGI xfslog"},
+	{0x0C,		"SGI xlv"},
+	{0x82,		"Linux swap"},
+	{0x83,		"Linux native"},
+	{0,		NULL}
+};
+
+
 static kmem_cache_t * efs_inode_cachep;
 
 static struct inode *efs_alloc_inode(struct super_block *sb)
diff -puN include/linux/efs_vh.h~efs-make-a-struct-static-fwd include/linux/efs_vh.h
--- 25/include/linux/efs_vh.h~efs-make-a-struct-static-fwd	2005-01-10 17:29:38.737997848 -0800
+++ 25-akpm/include/linux/efs_vh.h	2005-01-10 17:29:38.741997240 -0800
@@ -47,23 +47,6 @@ struct volume_header {
 struct pt_types {
 	int	pt_type;
 	char	*pt_name;
-} sgi_pt_types[] = {
-	{0x00,		"SGI vh"},
-	{0x01,		"SGI trkrepl"},
-	{0x02,		"SGI secrepl"},
-	{0x03,		"SGI raw"},
-	{0x04,		"SGI bsd"},
-	{SGI_SYSV,	"SGI sysv"},
-	{0x06,		"SGI vol"},
-	{SGI_EFS,	"SGI efs"},
-	{0x08,		"SGI lv"},
-	{0x09,		"SGI rlv"},
-	{0x0A,		"SGI xfs"},
-	{0x0B,		"SGI xfslog"},
-	{0x0C,		"SGI xlv"},
-	{0x82,		"Linux swap"},
-	{0x83,		"Linux native"},
-	{0,		NULL}
 };
 
 #endif /* __EFS_VH_H__ */
_
